<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_ServicesAvailAdvancedOptions StructType
 * @subpackage Structs
 */
class JP_ServicesAvailAdvancedOptions extends JP_AvailAdvancedOptions
{
    /**
     * The ShowCancellationPolicies
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $ShowCancellationPolicies;
    /**
     * The ShowCompleteInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $ShowCompleteInfo;
    /**
     * Constructor method for JP_ServicesAvailAdvancedOptions
     * @uses JP_ServicesAvailAdvancedOptions::setShowCancellationPolicies()
     * @uses JP_ServicesAvailAdvancedOptions::setShowCompleteInfo()
     * @param bool $showCancellationPolicies
     * @param bool $showCompleteInfo
     */
    public function __construct($showCancellationPolicies = null, $showCompleteInfo = null)
    {
        $this
            ->setShowCancellationPolicies($showCancellationPolicies)
            ->setShowCompleteInfo($showCompleteInfo);
    }
    /**
     * Get ShowCancellationPolicies value
     * @return bool|null
     */
    public function getShowCancellationPolicies()
    {
        return $this->ShowCancellationPolicies;
    }
    /**
     * Set ShowCancellationPolicies value
     * @param bool $showCancellationPolicies
     * @return \StructType\JP_ServicesAvailAdvancedOptions
     */
    public function setShowCancellationPolicies($showCancellationPolicies = null)
    {
        // validation for constraint: boolean
        if (!is_null($showCancellationPolicies) && !is_bool($showCancellationPolicies)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($showCancellationPolicies, true), gettype($showCancellationPolicies)), __LINE__);
        }
        $this->ShowCancellationPolicies = $showCancellationPolicies;
        return $this;
    }
    /**
     * Get ShowCompleteInfo value
     * @return bool|null
     */
    public function getShowCompleteInfo()
    {
        return $this->ShowCompleteInfo;
    }
    /**
     * Set ShowCompleteInfo value
     * @param bool $showCompleteInfo
     * @return \StructType\JP_ServicesAvailAdvancedOptions
     */
    public function setShowCompleteInfo($showCompleteInfo = null)
    {
        // validation for constraint: boolean
        if (!is_null($showCompleteInfo) && !is_bool($showCompleteInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($showCompleteInfo, true), gettype($showCompleteInfo)), __LINE__);
        }
        $this->ShowCompleteInfo = $showCompleteInfo;
        return $this;
    }
}
